picard.analysis

## Class AdapterUtility

- java.lang.Object
- - picard.analysis.AdapterUtility

-     public class AdapterUtility
      extends Object

  A utility class for matching reads to adapters. Note that this is different from ClippingUtility in that it tries to match the starts of reads to any part of the adapter (as opposed to finding the start of the adapter anywhere in the read).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `DEFAULT_ADAPTER_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterUtility(List<String> adapterSequence)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAdapterSequence(byte[] read)` Checks the first ADAPTER_MATCH_LENGTH bases of the read against known adapter sequences and returns true if the read matches an adapter sequence with MAX_ADAPTER_ERRORS mismsatches or fewer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ADAPTER_SEQUENCE

          public static List<String> DEFAULT_ADAPTER_SEQUENCE

  - ### Constructor Detail

    - #### AdapterUtility

          public AdapterUtility(List<String> adapterSequence)

  - ### Method Detail

    - #### isAdapterSequence

          public boolean isAdapterSequence(byte[] read)

      Checks the first ADAPTER_MATCH_LENGTH bases of the read against known adapter sequences and returns true if the read matches an adapter sequence with MAX_ADAPTER_ERRORS mismsatches or fewer.
      Parameters:
        `read` - the basecalls for the read in the order and orientation the machine read them
      Returns:
        true if the read matches an adapter and false otherwise